cascading.flow.stream.element

## Class ElementStage<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<Incoming,Outgoing>

- All Implemented Interfaces:
    ElementDuct
  Direct Known Subclasses:
    MergeStage, OperatorStage, SinkStage, SourceStage

      public abstract class ElementStage<Incoming,Outgoing>
      extends Stage<Incoming,Outgoing>
      implements ElementDuct

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<java.lang.String>` | `branchNames`
    `protected FlowElement` | `flowElement`
    `protected FlowProcess` | `flowProcess`
    `protected java.util.List<Scope>` | `incomingScopes`
    `protected java.util.List<Scope>` | `outgoingScopes`
    `protected TrapHandler` | `trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementStage(FlowProcess flowProcess, FlowElement flowElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `boolean` | `equals(java.lang.Object object)`
    `java.util.Set<java.lang.String>` | `getBranchNames()`
    `FlowElement` | `getFlowElement()`
    `java.util.List<Scope>` | `getIncomingScopes()`
    `protected Fields` | `getOutgoingFields()`
    `java.util.List<Scope>` | `getOutgoingScopes()`
    `protected void` | `handleException(java.lang.Throwable exception, TupleEntry tupleEntry)`
    `protected void` | `handleReThrowableException(java.lang.String message, java.lang.Throwable throwable)`
    `int` | `hashCode()`
    `boolean` | `hasTrapHandler()`
    `void` | `setBranchNames(java.util.Set<java.lang.String> branchNames)`
    `void` | `setTrapHandler(TrapHandler trapHandler)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class cascading.flow.stream.duct.Stage

      `receive`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, complete, getNext, getNextFor, initialize, prepare, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### flowProcess

          protected final FlowProcess flowProcess

    - #### flowElement

          protected final FlowElement flowElement

    - #### branchNames

          protected java.util.Set<java.lang.String> branchNames

    - #### trapHandler

          protected TrapHandler trapHandler

    - #### incomingScopes

          protected final java.util.List<Scope> incomingScopes

    - #### outgoingScopes

          protected final java.util.List<Scope> outgoingScopes

  - ### Constructor Detail

    - #### ElementStage

          public ElementStage(FlowProcess flowProcess,
                      FlowElement flowElement)

  - ### Method Detail

    - #### getFlowElement

          public FlowElement getFlowElement()

      Specified by:
        `getFlowElement` in interface `ElementDuct`

    - #### getIncomingScopes

          public java.util.List<Scope> getIncomingScopes()

      Specified by:
        `getIncomingScopes` in interface `ElementDuct`

    - #### getBranchNames

          public java.util.Set<java.lang.String> getBranchNames()

      Specified by:
        `getBranchNames` in interface `ElementDuct`

    - #### setBranchNames

          public void setBranchNames(java.util.Set<java.lang.String> branchNames)

      Specified by:
        `setBranchNames` in interface `ElementDuct`

    - #### setTrapHandler

          public void setTrapHandler(TrapHandler trapHandler)

      Specified by:
        `setTrapHandler` in interface `ElementDuct`

    - #### hasTrapHandler

          public boolean hasTrapHandler()

      Specified by:
        `hasTrapHandler` in interface `ElementDuct`

    - #### getOutgoingScopes

          public java.util.List<Scope> getOutgoingScopes()

      Specified by:
        `getOutgoingScopes` in interface `ElementDuct`

    - #### getOutgoingFields

          protected Fields getOutgoingFields()

    - #### cleanup

          public void cleanup()

      Overrides:
        `cleanup` in class `Duct<Incoming,Outgoing>`

    - #### handleReThrowableException

          protected void handleReThrowableException(java.lang.String message,
                                        java.lang.Throwable throwable)

    - #### handleException

          protected void handleException(java.lang.Throwable exception,
                             TupleEntry tupleEntry)

    - #### equals

          public final boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Duct<Incoming,Outgoing>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.